Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.primitive.sw
Class X_sequence_A_

    java.lang.Object
      com.stc.connector.sagadapter.primitive.sw.X_sequence_A_

All Implemented Interfaces:
  com.stc.otd.runtime.OtdAsWSDLDocument, com.stc.otd.runtime.OtdNode

    public class X_sequence_A_

extends java.lang.Object
implements com.stc.otd.runtime.OtdNode, com.stc.otd.runtime.OtdAsWSDLDocument

Constructor Summary
`X_sequence_A_()`
`X_sequence_A_(com.stc.otd.runtime.OtdMeta mObj)`

Method Summary
`java.lang.Object` | `addSw_FileStatus()`
`int` | `choice()` For a choice node, returns the index of the valid child.
`int` | `count(int child)` Returns the number of repetition instances of the given child.
`int` | `countSw_FileStatus()` countXXX() reutrns number of repeated Objects excluding holes.
`java.lang.Object` | `get(int child)`
`java.lang.Object` | `get(int child, int index)`
`java.util.Map` | `getmapSw_FileStatus()`
`java.lang.Object` | `getruntimeimplSw_FileStatus()`
`java.lang.String` | `getSw_EndOfList()`
`Sw_FileStatus[]` | `getSw_FileStatus()`
`Sw_FileStatus` | `getSw_FileStatus(int index)` for internal use only to get a branch object
`java.util.ArrayList` | `getSw_FileStatusList()`
`boolean` | `has(int child)` Tests whether given child is present.
`boolean` | `has(int child, int index)` Tests whether given instance of a repeated child is present.
`boolean` | `hasSw_FileStatus()`
`boolean` | `hasSw_FileStatus(int child)`
`void` | `init0()`
`void` | `marshal(org.xml.sax.ContentHandler handler, org.xml.sax.ErrorHandler errorHandler, boolean rtMarshal)`
`com.stc.otd.runtime.OtdMeta` | `meta()`
`void` | `remove(int child)` Removes the given child instance.
`void` | `remove(int child, int index)` Removes the given occurrence of a child instance.
`void` | `removeSw_FileStatus()`
`void` | `removeSw_FileStatus(int index)`
`void` | `set(int child, int index, java.lang.Object value)` Stores the given child instance.
`void` | `set(int child, java.lang.Object value)`
`void` | `setmapSw_FileStatus(java.util.Map value)`
`void` | `setSw_EndOfList(java.lang.String value)`
`void` | `setSw_FileStatus(int index, Sw_FileStatus value)`
`void` | `setSw_FileStatus(com.stc.otd.runtime.provider.RepeatDTDXSDImpl value)`
`void` | `setSw_FileStatus(Sw_FileStatus[] value)`
`int` | `size(int child)` Returns one past the last valid index for a repeating child.
`int` | `sizeSw_FileStatus()` sizeXXX() returns number of repeated Objects including holes
`java.lang.String` | `toString()`
`void` | `unmarshal(org.xml.sax.InputSource inputSource, com.stc.otd.tools.xml.SAXLexer lexer)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X_sequence_A_

    public X_sequence_A_(com.stc.otd.runtime.OtdMeta mObj)

### X_sequence_A_

    public X_sequence_A_()

Method Detail

### init0

    public void init0()

### meta

    public com.stc.otd.runtime.OtdMeta meta()

  Specified by:
    `meta` in interface `com.stc.otd.runtime.OtdNode`

### hasSw_FileStatus

    public boolean hasSw_FileStatus()
                             throws java.lang.IndexOutOfBoundsException

  Throws:
    `java.lang.IndexOutOfBoundsException`

### hasSw_FileStatus

    public boolean hasSw_FileStatus(int child)
                             throws java.lang.IndexOutOfBoundsException

  Throws:
    `java.lang.IndexOutOfBoundsException`

### getSw_FileStatusList

    public java.util.ArrayList getSw_FileStatusList()

### getSw_FileStatus

    public Sw_FileStatus[] getSw_FileStatus()

### getmapSw_FileStatus

    public java.util.Map getmapSw_FileStatus()

### getruntimeimplSw_FileStatus

    public java.lang.Object getruntimeimplSw_FileStatus()

### setmapSw_FileStatus

    public void setmapSw_FileStatus(java.util.Map value)

### setSw_FileStatus

    public void setSw_FileStatus(com.stc.otd.runtime.provider.RepeatDTDXSDImpl value)

### setSw_FileStatus

    public void setSw_FileStatus(Sw_FileStatus[] value)

### removeSw_FileStatus

    public void removeSw_FileStatus()

### getSw_FileStatus

    public Sw_FileStatus getSw_FileStatus(int index)
                                   throws java.lang.IndexOutOfBoundsException

  for internal use only to get a branch object

  Throws:
    `java.lang.IndexOutOfBoundsException`

### setSw_FileStatus

    public void setSw_FileStatus(int index,
                                 Sw_FileStatus value)

### removeSw_FileStatus

    public void removeSw_FileStatus(int index)

### addSw_FileStatus

    public java.lang.Object addSw_FileStatus()

### countSw_FileStatus

    public int countSw_FileStatus()

  countXXX() reutrns number of repeated Objects excluding holes.

### sizeSw_FileStatus

    public int sizeSw_FileStatus()

  sizeXXX() returns number of repeated Objects including holes

### getSw_EndOfList

    public java.lang.String getSw_EndOfList()

### setSw_EndOfList

    public void setSw_EndOfList(java.lang.String value)

### get

    public java.lang.Object get(int child)
                         throws java.lang.IndexOutOfBoundsException

  Specified by:
    `get` in interface `com.stc.otd.runtime.OtdNode`
  Throws:
    `java.lang.IndexOutOfBoundsException`

### get

    public java.lang.Object get(int child,
                                int index)
                         throws java.lang.IndexOutOfBoundsException

  Specified by:
    `get` in interface `com.stc.otd.runtime.OtdNode`
  Throws:
    `java.lang.IndexOutOfBoundsException`

### set

    public void set(int child,
                    java.lang.Object value)
             throws java.lang.IndexOutOfBoundsException,
                    java.lang.IllegalArgumentException

  Specified by:
    `set` in interface `com.stc.otd.runtime.OtdNode`
  Throws:
    `java.lang.IndexOutOfBoundsException`
    `java.lang.IllegalArgumentException`

### set

    public void set(int child,
                    int index,
                    java.lang.Object value)
             throws java.lang.IndexOutOfBoundsException,
                    java.lang.IllegalArgumentException

  Stores the given child instance.

  Specified by:
    `set` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent
    `index` - index of child instance in repetition
    `value` - the new child value
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid index or child
    `java.lang.IllegalArgumentException` - for a type or value error

### has

    public boolean has(int child)
                throws java.lang.IndexOutOfBoundsException

  Tests whether given child is present. For repeated children, tests against collection as a whole.

  Specified by:
    `has` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid child

### has

    public boolean has(int child,
                       int index)
                throws java.lang.IndexOutOfBoundsException

  Tests whether given instance of a repeated child is present.

  Specified by:
    `has` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent
    `index` - index of child instance in repetition, from 0
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid index or child

### count

    public int count(int child)

  Returns the number of repetition instances of the given child. For a non-repeating node, this should return 1.

  Specified by:
    `count` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent
  Returns:
    the repetition index
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid child

### size

    public int size(int child)

  Returns one past the last valid index for a repeating child. For a non-repeating node, this should return 1.

  Specified by:
    `size` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent
  Returns:
    the repetition index
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid child

### choice

    public int choice()

  For a choice node, returns the index of the valid child.

  Specified by:
    `choice` in interface `com.stc.otd.runtime.OtdNode`
  Returns:
    -1

### remove

    public void remove(int child)

  Removes the given child instance. The child must be optional.

  Specified by:
    `remove` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent, from 0
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid or mandatory child

### remove

    public void remove(int child,
                       int index)

  Removes the given occurrence of a child instance. The child must be repeated. The implementation is allowed (but not required) to throw an exception if the child is absent. A subsequent has(child, index) call with the same arguments should return false.

  Specified by:
    `remove` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent, from 0
    `index` - index of child instance in repetition, from 0
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid or non-repeating child

### unmarshal

    public void unmarshal(org.xml.sax.InputSource inputSource,
                          com.stc.otd.tools.xml.SAXLexer lexer)
                   throws org.xml.sax.SAXException,
                          com.stc.otd.runtime.UnmarshalException

  Throws:
    `org.xml.sax.SAXException`
    `com.stc.otd.runtime.UnmarshalException`

### marshal

    public void marshal(org.xml.sax.ContentHandler handler,
                        org.xml.sax.ErrorHandler errorHandler,
                        boolean rtMarshal)
                 throws com.stc.otd.runtime.MarshalException,
                        org.xml.sax.SAXException

  Throws:
    `com.stc.otd.runtime.MarshalException`
    `org.xml.sax.SAXException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.